<TeXmacs|1.99.5>

<style|<tuple|tmdoc|doc|british>>

<\body>
  <tmdoc-title|Using <TeXmacs> as an equation editor>

  <hlink|Provided an appropriate converter to <name|Svg> is
  installed|man-graphics-export.en.tm#external converters>, <TeXmacs> can
  generate an <name|Svg> image of any document fragment. These <name|Svg>
  graphics incorporate the <TeXmacs> source code of the corresponding
  fragment to enable later re-edition by <TeXmacs>.

  In addition, a <TeXmacs> plugin allows an external application to interact
  simply with <TeXmacs> for revising such <name|Svg> image.

  Scriptable applications that handle <name|Svg> images (such as
  <name|Inkscape>, <name|Libre Office> or <name|Scribus>) can take advantage
  of these features to use <TeXmacs> as a convenient equation editor.
  Presently (Sept. 2016), the client-side script providing such functionality
  only exists for <name|Inkscape>.

  <section*|Using <TeXmacs> with <name|Inkscape>>

  <paragraph|Through the system clipboard>

  Be sure that the <menu|Edit|Preferences|Converters|TeXmacs -\<gtr\>
  image|Format> is set to <name|Svg>. Then inserting a <TeXmacs> equation in
  an <name|Inkscape> drawing is straightforward: select the equation, use the
  menu item <menu|Edit|Copy to...|Image>, and paste into <name|Inkscape>. In
  <name|Inkscape>, a <TeXmacs> equation appears as an ordinary <name|Svg>
  group.

  <paragraph|Modifying an equation within <name|Inkscape>>

  When needed, within <name|Inkscape> select the equation you want to revise
  and activate <menu|TeXmacs equation> (see below) from the <menu|extension>
  menu. This will open a new <TeXmacs> window with the equation you want to
  revise (or a dummy equation if nothing was selected). Above the equation
  (in the user toolbar) a button <key|Done><kbd|> completes the revision and
  a button <key|Cancel> abandons it.\ 

  <paragraph|Installation of the Inkscape extension>

  The <menu|TeXmacs equation> extension for <name|Inkscape> can be installed
  or updated from the preference panel <menu|Edit|Preferences|Converters|TeXmacs
  -\<gtr\> image|Format>. The extension should then appear in
  <name|Inkscape>'s <menu|extension> menu the next time you start
  <name|Inkscape>.\ 

  Note that this installation is offered only when <hlink|an appropriate
  converter to <name|Svg> is installed|man-graphics-export.en.tm#external
  converters>, and a the user's <name|Inkscape> preferences folder is found
  in the usual location. If you are using non-standard permission settings
  the automated install may fail; in that case you may use the following
  instructions as a guideline.

  <\folded-documentation>
    Show personalized manual install instructions
  <|folded-documentation>
    Copy all files contained in <verbatim|<extern|(lambda (x) (url-concretize
    (url-append (system-\<gtr\>url "$TEXMACS_PATH") (string-\<gtr\>url
    "misc/inkscape_extension"))))|>> to <verbatim|<extern|(lambda (x)
    (url-concretize (url-append (if (or (os-win32?) (os-mingw?))
    (system-\<gtr\>url "$APPDATA") \ (system-\<gtr\>url
    "~/.config"))(string-\<gtr\>url "inkscape/extensions"))))|>>\ 

    If you see <verbatim|<error|insecure script>> instead of file paths, you
    need to change the security preference (in
    <menu|edit|preferences|other|security>) to <verbatim|accept all scripts>
    (at least temporarily) and then refresh the display by closing/opening
    this fold or through the menu <menu|Document|Update|All>.
  </folded-documentation>

  <paragraph|MacOS specifics>

  In 2012 the <name|Inkscape> dmg from Inkscape.org lacked a python library
  that the re-edition extension needs (this may have changed). We recommend
  you get <name|Inkscape> from <name|MacPorts> instead (and get
  <name|pdf2svg> and <name|ImageMagick> at the same time).

  <paragraph|Compatibility with Textext <name|Inkscape> extension>

  Equations produced with <TeXmacs> are essentially compatible with those of
  the <name|Textext> extension (re-editable <LaTeX> equations extension
  shipped with <name|Inkscape>): <TeXmacs> can edit <name|Textext> equations,
  and conversely people using <name|Textext<strong|>> can edit your <TeXmacs>
  equations provided they use the style file <verbatim|texmacs_latex.sty> (in
  your user's <name|Iknscape> user directory) containing the texmacs macros
  and necessary includes.

  <paragraph|Present limitations and Known Issues>

  <name|Inkscape> will try to connect with a running <TeXmacs> instance on
  the local machine through socket communications; if it cannot connect, it
  will launch a new <TeXmacs> instance and communicate via pipes. Socket
  communication are <em|much> faster since they spare the boot-up time of
  <TeXmacs>. Beware however that <TeXmacs> is presently somewhat more prone
  to freeze or crash when connecting this way; Your mileage may vary. You can
  control wether or not <TeXmacs> accepts socket communications from Inkscape
  using the preference setting \ <menu|Edit|Preferences|Converters|TeXmacs
  -\<gtr\> image|Enable socket communications>.

  If the selection contains a macro call with the macro definition outside of
  the selection, it won't be rendered (<verbatim|<error|compound
  <em|macroname>>>).

  <tmdoc-copyright|2016|the <TeXmacs> team>

  <tmdoc-license|Permission is granted to copy, distribute and/or modify this
  document under the terms of the GNU Free Documentation License, Version 1.1
  or any later version published by the Free Software Foundation; with no
  Invariant Sections, with no Front-Cover Texts, and with no Back-Cover
  Texts. A copy of the license is included in the section entitled "GNU Free
  Documentation License".>
</body>


