<TeXmacs|1.99.5>

<style|<tuple|tmdoc|doc|british>>

<\body>
  <tmdoc-title|Export or Copy selection to graphics>

  <TeXmacs> can export the active selection to many graphical formats, either
  as files (<menu|File|Export|Export selection as image>) or through the
  system clipboard (<menu|Edit|Copy to...|Image>), for pasting into other
  applications.

  <paragraph|Specifying graphics format> \ 

  In case of file export, the desired graphical format is determined by the
  file extension which you must explicitly provide (for instance: pdf, eps,
  jpg...).

  For the clipboard mechanism, you need to set in advance the desired format
  in <menu|Edit|Preferences|Converters|TeXmacs -\<gtr\> image|Format>. This
  menu offers a choice between <acronym|png>, <acronym|jpeg>, <acronym|tif,>
  <acronym|eps> and <acronym|svg> formats, provided a suitable converter is
  available (see below).

  For both the clipboard mechanism and file export, the image produced can be
  scaled up or down compared to <TeXmacs>'s nominal printed output size. The
  scaling factor is set by the preference
  <menu|Edit|Preferences|Converters|TeXmacs -\<gtr\> image|Output scale
  factor>

  As well, the resolution of bitmap formats is set by the prefrence
  <menu|Edit|Preferences|Converters|TeXmacs -\<gtr\> image|Bitmap resolution
  (dpi)>

  <paragraph|Required external converters><label|external converters>

  <TeXmacs> can natively produce PostScript or PDF vector images.\ 

  In order to produce the various other graphic formats <TeXmacs> relies on
  external converters (defined in <verbatim|$TEXMACS_PATH/progs/convert/images/init-images.scm>):\ 

  <\itemize-dot>
    <item><name|Ghostscript>

    <item><name|pdf2svg>, for <acronym|svg> output (<hlink|to work with
    <name|Inkscape>|man-equation-editor.en.tm>, for instance),

    <item><name|pdftocairo> (from the <name|Poppler> project) can can produce
    both vector (<acronym|svg>) and raster formats \ (<acronym|png><name|>,
    <acronym|jpg>).

    <item><name|ImageMagick>, for raster formats

    <item><hlink|Additional converters|new/man-newconv.en.tm> can be defined,
    if needed. \ 
  </itemize-dot>

  All these converters need to be in the system PATH. If they are not found,
  <TeXmacs> displays an error message in its status bar when attempting a
  conversion. On <name|Linux> if these external tools are not already
  installed, they are easy to install from your distribution's package
  manager. On <name|MacOS>, <name|pdf2svg> and <name|ImageMagick> (as well as
  <name|Inkscape>) are available from <name|MacPorts>. On <name|Windows>,
  <name|pdftocairo> is bundled with <TeXmacs> at this website:
  <code*|https://github.com/slowphil/mingw-w64-texmacs/releases>

  \;

  <tmdoc-copyright|2016|the <TeXmacs> team>

  <tmdoc-license|Permission is granted to copy, distribute and/or modify this
  document under the terms of the GNU Free Documentation License, Version 1.1
  or any later version published by the Free Software Foundation; with no
  Invariant Sections, with no Front-Cover Texts, and with no Back-Cover
  Texts. A copy of the license is included in the section entitled "GNU Free
  Documentation License".>

  \;

  \;
</body>
